Summary:	ASCII Tux (Linux Penguin)
Name:		linux_logo
Version:	6.0
Release:	%mkrel 3
License:	GPLv2
Group:		System/Boot and Init
URL:		http://www.deater.net/weave/vmwprod/linux_logo/
Source0:	http://www.deater.net/weave/vmwprod/linux_logo/%{name}-%{version}.tar.gz

%description
This package contains an ASCII Linux-Penguin.

%prep
%setup -q

echo "./logos/classic-no_periods_or_chars.logo" > logo_config
echo "./logos/banner.logo" >> logo_config
find -exec chmod go+r {} +

%build
./configure --prefix=%{_prefix}
%make_build CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
make install PREFIX=%{buildroot}%{_prefix}

%find_lang %{name}

%files -f %{name}.lang
%doc BUGS CHANGES README TODO
%doc LINUX_LOGO.FAQ USAGE README.CUSTOM_LOGOS
%{_bindir}/linux_logo
%{_mandir}/man1/linux_logo.1*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 6.0-3.mga10
+ Revision: 2195712
- Mageia 10 Mass Rebuild

* Tue Mar 15 2022 umeabot <umeabot> 6.0-2.mga9
+ Revision: 1792880
- Mageia 9 Mass Rebuild

* Thu Jul 16 2020 solbu <solbu> 6.0-1.mga8
+ Revision: 1606588
- New release: 6.0
- Drop Patch0: Fixed upstream

* Thu Feb 13 2020 umeabot <umeabot> 5.11-14.mga8
+ Revision: 1514729
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 5.11-13.mga7
+ Revision: 1299316
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 wally <wally> 5.11-12.mga7
+ Revision: 1239309
- add aarch64 support patch from Fedora

* Fri Feb 05 2016 umeabot <umeabot> 5.11-11.mga6
+ Revision: 939109
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 5.11-10.mga5
+ Revision: 748605
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.11-9.mga5
+ Revision: 681950
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 5.11-8.mga4
+ Revision: 532207
- Mageia 4 Mass Rebuild

* Sat Aug 17 2013 luigiwalser <luigiwalser> 5.11-7.mga4
+ Revision: 467353
- remove broken Mageia logo (mga#9973)
- remove useless service (handled by mandrake_everytime init script)
- various cleanups

* Wed Jan 23 2013 fwang <fwang> 5.11-6.mga3
+ Revision: 391164
- update rpm group

* Sat Jan 12 2013 umeabot <umeabot> 5.11-5.mga3
+ Revision: 358852
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 19 2012 nanardon <nanardon> 5.11-4.mga3
+ Revision: 282181
- run linux_logo at boot to fill /etc/issue

* Sun Aug 19 2012 nanardon <nanardon> 5.11-3.mga3
+ Revision: 282177
- provide a mageia logo

* Sun Feb 05 2012 luigiwalser <luigiwalser> 5.11-2.mga3
+ Revision: 204886
- do not use Mandriva logo
- imported package linux_logo


* Tue Dec 20 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 5.11-2
+ Revision: 743965
- fix files not being world readable

* Mon May 23 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 5.11-1
+ Revision: 677770
- clean out old stuff
- new version

* Tue Sep 28 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 5.10-1mdv2011.0
+ Revision: 581566
- new release: 5.10
- fix messed up 'update' rule in po/Makefile
- properly set prefix in build without buildroot for translations to work again
- build with %%{ldflags} passed to linker

* Tue Jul 14 2009 Frederik Himpe <fhimpe@mandriva.org> 5.06-1mdv2010.0
+ Revision: 395899
- update to new version 5.06

* Wed Feb 18 2009 Jérôme Soyer <saispo@mandriva.org> 5.04-1mdv2009.1
+ Revision: 342465
- New upstream release

* Mon Jul 28 2008 Thierry Vignaud <tv@mandriva.org> 5.03-3mdv2009.0
+ Revision: 251007
- rebuild
- fix no-buildroot-tag

* Tue Feb 05 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 5.03-1mdv2008.1
+ Revision: 162559
- New release: 5.03
- drop lame top level defines that gets redefined by tags anyways

* Fri Dec 14 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 5.02-2mdv2008.1
+ Revision: 120243
- remove the parts of our logos patch that has already been merged upstream
  to avoid double printing of classic logos (fixes #36127)

* Mon Dec 03 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 5.02-1mdv2008.1
+ Revision: 114602
- update to 5.02
- drop all of our merged patches
- regenerate patch to use mandriva logo as default


* Sun Jan 28 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 4.16-1mdv2007.0
+ Revision: 114503
- new release: 4.16
  regenerate P0
  bunzip2 patches
- Import linux_logo

* Tue Mar 21 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 4.13-1mdk
- 4.13
- fix logo width (updated P4)
- make rpmbuildupdate aware

* Wed May 25 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 4.12-1mdk
- 4.12
- update logo to say Mandriva Linux (P1 & P4, this also fixes #11135 about size)
- regenerate P0

* Tue Jul 13 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.09-2mdk
- update logo to say Mandrakelinux (P4, fixes #10236)

* Sat Apr 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.09-1mdk
- 4.09
- drop P2 & S1 (merged upstream)

* Tue Mar 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.08-1mdk
- 4.08
- use %%makeinstall_std macro (and by this also install locale files:)
- added nb translation (P2 & S1 by me:)
- improve P0
- cleanups
- fix path to locale (P3)

